# Путь к папке с установщиками
$installersPath = "C:\УКАЖИ-ПУТЬ-ДО-ПАПКИ"
$logFile = "$installersPath\install-log.txt"

# Создание или очистка лог-файла
"Установка начата: $(Get-Date)" | Out-File -FilePath $logFile -Encoding UTF8

# Получение всех .exe установщиков, исключая vcredist
$installers = Get-ChildItem -Path $installersPath -Filter *.exe -File |
    Where-Object { $_.Name -notmatch "vcredist" }

# Цикл установки
foreach ($installer in $installers) {
    $fullPath = $installer.FullName
    $logEntry = "Установка $($installer.Name) начата: $(Get-Date)"
    $logEntry | Out-File -FilePath $logFile -Append
    Write-Host $logEntry

    try {
        # Запуск с параметрами для NSIS: /S — полностью тихая установка
        Start-Process -FilePath $fullPath -ArgumentList "/S" -Wait

        "Установка $($installer.Name) завершена: $(Get-Date)" | Out-File -FilePath $logFile -Append
        Write-Host "Установлен: $($installer.Name)"
    } catch {
        "❌ Ошибка при установке $($installer.Name): $_" | Out-File -FilePath $logFile -Append
        Write-Host "❌ Ошибка при установке: $($installer.Name)" -ForegroundColor Red
    }
}

"✅ Все установки завершены: $(Get-Date)" | Out-File -FilePath $logFile -Append
Write-Host "`nВсе установки завершены. Лог: $logFile"
