# Путь к папке, где собраны деинсталляторы
$uninstallersPath = "C:\Program Files\Softube\Plug-Ins 64-bit"
$logFile = "$uninstallersPath\uninstall-log.txt"

# Очистка или создание лог-файла
"Удаление начато: $(Get-Date)" | Out-File -FilePath $logFile -Encoding UTF8

# Получение всех .exe-файлов в папке (NSIS uninstallers)
$uninstallers = Get-ChildItem -Path $uninstallersPath -Filter *.exe -File

foreach ($uninstaller in $uninstallers) {
    $fullPath = $uninstaller.FullName
    $logEntry = "Удаление $($uninstaller.Name) начато: $(Get-Date)"
    $logEntry | Out-File -FilePath $logFile -Append
    Write-Host $logEntry

    try {
        # NSIS поддерживает тихий режим деинсталляции с параметром /S
        Start-Process -FilePath $fullPath -ArgumentList "/S" -Wait

        "Удаление $($uninstaller.Name) завершено: $(Get-Date)" | Out-File -FilePath $logFile -Append
        Write-Host "Удалено: $($uninstaller.Name)"
    } catch {
        "❌ Ошибка при удалении $($uninstaller.Name): $_" | Out-File -FilePath $logFile -Append
        Write-Host "❌ Ошибка при удалении: $($uninstaller.Name)" -ForegroundColor Red
    }
}

"✅ Все удаления завершены: $(Get-Date)" | Out-File -FilePath $logFile -Append
Write-Host "`nВсе удаления завершены. Лог: $logFile"
